MetaModels Workshop in Berlin
Seite 2 von 2 ErsteErste 12
Ergebnis 41 bis 49 von 49

Thema: Update auf 4.5 mit Manager ???

  1. #41
    Contao-Fan
    Registriert seit
    12.10.2010.
    Beiträge
    707

    Standard

    Habe erstmal alle Daten gesichert.

    Dann im BE Systemwartung durchgeführt und Cache gelöscht.

    Dann im Manager bei den Contao-Bundles auf dem Zahnrad geklickt und 4.7 eingetragen, dann auf UpDate geklickt

  2. #42
    Administrator Avatar von xchs
    Registriert seit
    19.06.2009.
    Beiträge
    13.577
    User beschenken
    Wunschliste

    Standard

    Wo hast Du auf Update geklickt? Wie schon gesagt: Du musst alle (!) Pakete gleichzeitig zum Update auswählen und den Updatejob anschließend starten.

    Du kannst auch gerne mal Deine composer.json hier posten.
    Contao Community Administrator
    [Unterstützungsmöglichkeiten]

  3. #43
    Contao-Fan
    Registriert seit
    12.10.2010.
    Beiträge
    707

    Standard

    PHP-Code:
    {
        
    "name""contao/managed-edition",
        
    "type""project",
        
    "description""Contao Open Source CMS",
        
    "license""LGPL-3.0+",
        
    "authors": [
            {
                
    "name""Leo Feyer",
                
    "homepage""https://github.com/leofeyer"
            
    }
        ],
        
    "require": {
            
    "php""^5.6|^7.0",
            
    "codefog/contao-cookiebar""^1.3",
            
    "codefog/contao-mobile_menu""^2.6",
            
    "codefog/contao-news_categories""^3.0",
            
    "contao/calendar-bundle""^4.7",
            
    "contao/comments-bundle""^4.7",
            
    "contao/conflicts""*@dev",
            
    "contao/faq-bundle""^4.7",
            
    "contao/listing-bundle""^4.7",
            
    "contao/manager-bundle""4.7.*",
            
    "contao/news-bundle""^4.7",
            
    "contao/newsletter-bundle""^4.7",
            
    "derhaeuptling/contao-seo-serp-preview""^3.0",
            
    "jrgregory/m17-sticky-backend-footer""^2.0",
            
    "madeyourday/contao-rocksolid-frontend-helper""^2.0",
            
    "terminal42/contao-easy_themes""^2.2",
            
    "terminal42/contao-leads""^1.4",
            
    "terminal42/notification_center""^1.4"
        
    },
        
    "conflict": {
            
    "contao/core-bundle""<4.4.1"
        
    },
        
    "config": {
            
    "component-dir""assets"
        
    },
        
    "scripts": {
            
    "post-install-cmd": [
                
    "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            
    ],
            
    "post-update-cmd": [
                
    "Contao\\ManagerBundle\\Composer\\ScriptHandler::initializeApplication"
            
    ]
        }


  4. #44
    Administrator Avatar von xchs
    Registriert seit
    19.06.2009.
    Beiträge
    13.577
    User beschenken
    Wunschliste

    Standard

    Hast Du es nochmals versucht, wie oben beschrieben?
    Contao Community Administrator
    [Unterstützungsmöglichkeiten]

  5. #45
    Contao-Fan
    Registriert seit
    12.10.2010.
    Beiträge
    707

    Standard

    Wo hast Du auf Update geklickt? Wie schon gesagt: Du musst alle (!) Pakete gleichzeitig zum Update auswählen und den Updatejob anschließend starten.
    Es zeigt mit diese Maske an, da hab ich unten geklickt:

    Unbenannt-1.jpg

  6. #46
    Administrator Avatar von xchs
    Registriert seit
    19.06.2009.
    Beiträge
    13.577
    User beschenken
    Wunschliste

    Standard

    Lösche Deine composer.lock (oder benenne sie z. B. in composer.lock.bak um) und versuche es anschließend erneut.
    Contao Community Administrator
    [Unterstützungsmöglichkeiten]

  7. #47
    Contao-Fan
    Registriert seit
    12.10.2010.
    Beiträge
    707

    Standard

    Vielen Dank, jetzt hat es geklappt.

    Warum lag dies an der composer.lock ?

  8. #48
    Administrator Avatar von xchs
    Registriert seit
    19.06.2009.
    Beiträge
    13.577
    User beschenken
    Wunschliste

    Standard

    Weil Du zuvor wahrscheinlich eben nicht alle Pakete zum Update ausgewählt hattest und die Abhängigkeitsauflösung vermutlich mit den via composer.lock bereits festgeschriebenen Versionsständen nicht mehr zurechtgekommen ist.
    Contao Community Administrator
    [Unterstützungsmöglichkeiten]

  9. #49
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Vienna, Austria
    Beiträge
    20.553
    User beschenken
    Wunschliste

    Standard

    Zitat Zitat von Schnippel Beitrag anzeigen
    Es zeigt mit diese Maske an, da hab ich unten geklickt:

    Unbenannt-1.jpg
    Du musst, wie gesagt, alle Pakete zum Update markieren.

Seite 2 von 2 ErsteErste 12

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •